Package org.springframework.beans.factory.config

# Interface BeanExpressionResolver

public interface BeanExpressionResolver
Strategy interface for resolving a value by evaluating it as an expression, if applicable.

A raw `BeanFactory` does not contain a default implementation of this strategy. However, `org.springframework.context.ApplicationContext` implementations will provide expression support out of the box.

Since:
  3.0
Author:
  Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`Object`
`evaluate(String value, BeanExpressionContext beanExpressionContext)`
Evaluate the given value as an expression, if applicable; return the value as-is otherwise.

## Method Details

### evaluate

@Nullable Object evaluate(@Nullable String value, BeanExpressionContext beanExpressionContext) throws BeansException
Evaluate the given value as an expression, if applicable; return the value as-is otherwise.

Parameters:
  `value` - the value to evaluate as an expression
  `beanExpressionContext` - the bean expression context to use when evaluating the expression
Returns:
  the resolved value (potentially the given value as-is)
Throws:
  `BeansException` - if evaluation failed